/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: World
 * Description: -
 */

#define WORLD_NAME		"Proelium"

#define WORLD_MAX_Z		14
#define WORLD_MAX_Y		0
#define WORLD_MAX_X		0

#define WORLD_N_AREAS		((WORLD_MAX_Z + 1) * (WORLD_MAX_Y + 1) *\
					(WORLD_MAX_X + 1))



WORLD_ID	world_id(void);

bool		world_points_equal(const WORLD_POINT *, const WORLD_POINT *);

bool		out_of_world_bounds(const WORLD_POINT *);

