/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: DataFile
 * Description: -
 */


void		set_data_path(PROGRAM_DIRECTORY, const char *);
const char *	data_path(void);

void		load_data_files(void);

char *		data_file_object_description(char *, const OBJECT *);
char *		data_file_terrain_description(char *, const TERRAIN *);
char *		data_file_career_description(char *, const CAREER *);
char *		data_file_character_description(char *, const CHARACTER *);


