/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: HallOfFame
 * Description: -
 */



typedef struct hall_of_fame_entry_struct	HALL_OF_FAME_ENTRY;


typedef int	SCORE;


/*
 * hall of fame entry
 */
struct hall_of_fame_entry_struct {

	char name[HALL_OF_FAME_NAME_SIZE];

	SCORE score;

	bool winner;

};




void				hall_of_fame_init(void);
void				hall_of_fame_clean_up(void);

LIST *				hall_of_fame(void);
const HALL_OF_FAME_ENTRY *	hall_of_fame_entry(int);

void				hall_of_fame_screen(void);

bool				hall_of_fame_add(const CHARACTER *, bool);

