/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Npc
 * Description: -
 */

void		npc_clean_up(void);

CHARACTER *	npc_box_new_npc(void);
void		npc_box_optimize(void);

CHARACTER *	npc_create(const char *);
CHARACTER *	npc_create_i(NPC_INDEX);

bool		npc_is_unique(NPC_INDEX);

NPC_INDEX	name_to_npc_index(const char *);

