/*
 * Copyright (C) 2002-2007 The Warp Rogue Team
 * Part of the Warp Rogue Project
 *
 * This software is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License.
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY.
 *
 * See the license.txt file for more details.
 */

/*
 * Module Name: Ui
 * Description: -
 */

/*
 * Misc. stuff
 */

void		render_title_screen(const char *);

COMMAND		title_screen_menu(MENU *);

void		new_game_dialog(CONFIRMATION_DIALOG *);

void		render_choose_difficulty_screen(void);
COMMAND		choose_difficulty_screen_menu(MENU *);

void		render_world_generation_screen(bool);

void		render_hall_of_fame_screen(void);

void		render_manufacture_screen(const CHARACTER *, MANUFACTURE_MODE);
COMMAND		manufacture_screen_menu(MENU *);

void		render_dialog_screen(DIALOG_STATE *);
COMMAND		dialog_screen_menu(MENU *);

void		render_character_dump_screen(void);

